python-snimpy_0.8.13-1_i386.deb


Advertisement

Description

python-snimpy - high-level SNMP bindings for Python 2

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename python-snimpy_0.8.13-1_i386.deb
Package name python-snimpy
Package version 0.8.13
Package release 1
Package architecture i386
Package type deb
Category python
Homepage https://github.com/vincentbernat/snimpy/
License -
Maintainer Vincent Bernat <bernat@debian.org>
Download size 35.56 KB
Installed size 175.00 KB
Snimpy is a Python-based tool providing a simple interface to build
SNMP queries. This interface aims at being the most Pythonic
possible: you grab scalars using attributes and columns are like
dictionaries.
Snimpy can either be used interactively through its console (derived
from Python own console or from IPython if available) or by writing
snimpy scripts which are just Python scripts with some global
variables available.
This package contains the binding for Python 2.

Alternatives

Package Version Architecture Repository
python-snimpy_0.8.13-1_amd64.deb 0.8.13 amd64 Debian Main
python-snimpy - - -

Requires

Name Value
libc6 >= 2.4
libsmi2ldbl >= 0.4.5+dfsg0
python << 2.8
python >= 2.7~
python-cffi-backend-api-max >= 9729
python-cffi-backend-api-min <= 9729
python-pkg-resources -
python-pysnmp4 -
python:any >= 2.7~
python:any << 2.8

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-snimpy_0.8.13-1_i386.deb
Source Package snimpy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-snimpy deb package:
    # sudo apt-get install python-snimpy

Files

Path
/usr/lib/python2.7/dist-packages/snimpy/__init__.py
/usr/lib/python2.7/dist-packages/snimpy/__main__.py
/usr/lib/python2.7/dist-packages/snimpy/_smi.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/snimpy/_version.py
/usr/lib/python2.7/dist-packages/snimpy/basictypes.py
/usr/lib/python2.7/dist-packages/snimpy/config.py
/usr/lib/python2.7/dist-packages/snimpy/main.py
/usr/lib/python2.7/dist-packages/snimpy/manager.py
/usr/lib/python2.7/dist-packages/snimpy/mib.py
/usr/lib/python2.7/dist-packages/snimpy/smi_build.py
/usr/lib/python2.7/dist-packages/snimpy/snmp.py
/usr/lib/python2.7/dist-packages/snimpy-0.8.13.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/snimpy-0.8.13.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/snimpy-0.8.13.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/snimpy-0.8.13.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/snimpy-0.8.13.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/snimpy-0.8.13.egg-info/top_level.txt
/usr/share/doc/python-snimpy/changelog.Debian.gz
/usr/share/doc/python-snimpy/changelog.gz
/usr/share/doc/python-snimpy/copyright

Changelog

2018-10-13 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.13-1) unstable; urgency=medium
* New upstream release, with Python 3.7 support.
* d/control: remove outdated Vcs-* URL.
2017-11-13 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.12-1) unstable; urgency=medium
* New upstream release.
* d/control: bump Standards-Version to 4.1.1.
* d/control: build-depends on python3-sphinx.
* d/watch: use HTTPS.
2016-09-03 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.11-1) unstable; urgency=medium
* New upstream release.
* d/control: bump Standards-Version to 3.9.8.
2016-03-19 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.10-1) unstable; urgency=medium
* New upstream release.
* d/control: bump Standards-Version to 3.9.7.
* d/control: update Vcs-* URL.
2015-11-16 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.8-1) unstable; urgency=medium
* New upstream release.
* Remove runtime requirement on python-cffi.
* Build-Depends on python{,3}-vcversioner.
2015-09-21 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.6-2) unstable; urgency=medium
* Let python-cffi generate the appropriate dependencies.
2015-06-25 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.6-1) unstable; urgency=medium
* New upstream release.
2015-06-20 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.5-4) unstable; urgency=medium
* Add entry for `docs/_themes` in debian/copyright.
2015-06-18 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.5-3) unstable; urgency=medium
* Fix debian/watch file.
2015-04-26 - Vincent Bernat <bernat@debian.org>
snimpy (0.8.5-2) unstable; urgency=medium
* Conversion to dh.
* Ships both python-snimpy and python3-snimpy. Closes: #782961.
* Build the documentation as well.

See Also

Package Description
python-snowballstemmer_1.2.1-1_all.deb Pure Python Snowball stemming library
python-snuggs_1.4.3-1_all.deb S-expressions for numpy - Python 2 version
python-soappy_0.12.22-1_all.deb SOAP Support for Python
python-soapysdr_0.6.1-4+b1_i386.deb SoapySDR Python 2 bindings
python-socketio-client_0.6.5-0.1_all.deb socket.io-client library for Python
python-socketio-doc_0.3.6-4_all.deb documentation for gevent-socketio
python-socketio_0.3.6-4_all.deb Socket.IO server based on the gevent pywsgi server
python-socketpool_0.5.3-4_all.deb simple Python 2 socket pool
python-socks_1.6.8+dfsg-1_all.deb Python 2 SOCKS client module
python-socksipychain_2.0.15-2_all.deb Python SOCKS/HTTP/SSL chaining proxy module
python-softlayer_5.6.4-1_all.deb Python client for SoftLayer API (Python 2)
python-solv_0.6.35-2+b2_i386.deb dependency solver using a satisfiability algorithm (Python2 bindings)
python-sorl-thumbnail-doc_12.5.0-1_all.deb thumbnail support for the Django framework (Documentation)
python-sorl-thumbnail_12.5.0-1_all.deb thumbnail support for the Django framework
python-sortedcollections-doc_1.0.1-1_all.deb Python documentation for Sorted Collections
Advertisement
Advertisement